package com.toughra.ustadmobile.generated.callback;
public final class OnSelectionStateChangedListener implements com.ustadmobile.port.android.view.binding.OnSelectionStateChangedListener {
    final Listener mListener;
    final int mSourceId;
    public OnSelectionStateChangedListener(Listener listener, int sourceId) {
        mListener = listener;
        mSourceId = sourceId;
    }
    @Override
    public void onSelectionStateChanged(android.view.View callbackArg_0) {
        mListener._internalCallbackOnSelectionStateChanged(mSourceId , callbackArg_0);
    }
    public interface Listener {
        void _internalCallbackOnSelectionStateChanged(int sourceId , android.view.View callbackArg_0);
    }
}